/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from clientiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __CLIENTIFACE_STUB__
#define __CLIENTIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <networkstatuscommon.h>


class ClientIface_stub : virtual public DCOPStub
{
public:
    ClientIface_stub( const TQCString& app, const TQCString& id );
    ClientIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit ClientIface_stub( const DCOPRef& ref );
    virtual TQStringList networks();
    virtual int status( const TQString& host );
    virtual int request( const TQString& host, bool userInitiated );
    virtual void relinquish( const TQString& host );
    virtual bool reportFailure( const TQString& host );
protected:
    ClientIface_stub() : DCOPStub( never_use ) {}
};


#endif
